View Issue Details

IDProjectCategoryView StatusLast Update
0006269Kali Linux[All Projects] General Bugpublic2020-05-05 17:29
Reporterre4son Assigned Todaniruiz  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2020.1 
Target VersionFixed in Version2020.2 
Summary0006269: Package qt5ct breaks KDE
Descriptionkali-desktop-kde and kali-desktop-xfce cannot coexist because qt5ct contained in kali-desktop-xfce causes icons in KDE to disappear.
Steps To Reproduce1. Install kali with kde desktop
2. sudo apt install qt5ct
3. logoff and logon

Most icons in qt applications are missing

Activities

daniruiz

2020-05-05 17:29

developer   ~0012746

It is now fixed ;)
https://gitlab.com/kalilinux/packages/kali-themes/-/commit/ec97429c6f77e43ea064cecb90333b8c0f254f22

If you use KDE and xfce ensure to remove the ~/.gtkrc-2.0 as KDE adds it if it's missing and that affects xfce's gtk2 themes (which are used by qt5ct)
For later updates I'll try to find how to move that file for KDE

Issue History

Date Modified Username Field Change
2020-04-09 09:21 re4son New Issue
2020-04-11 12:10 rhertzog Assigned To => daniruiz
2020-04-11 12:10 rhertzog Status new => assigned
2020-05-05 17:29 daniruiz Note Added: 0012746
2020-05-05 17:29 daniruiz Status assigned => resolved
2020-05-05 17:29 daniruiz Resolution open => fixed
2020-05-05 17:29 daniruiz Fixed in Version => 2020.2